Page MenuHomePhabricator

Make sure WikidataPageBanner is adding image references to imagelinks table
Closed, ResolvedPublic

Description

The WikidataPageBanner extension should be adding image references to the imagelinks and globalimagelinks table. The latter should happen automatically if it is in the imagelinks table.

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterWikidataPageBanner add banner to imagelinks

Event Timeline

Legoktm created this task.Aug 10 2015, 6:45 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Wikidata-Page-Banner.
Legoktm added subscribers: Jdlrobson, Sumit.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 10 2015, 6:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hi @Legoktm any links you could point @Sumit too given he's new to MediaWiki and how to do this might not be obvious to him?

As I mentioned on IRC, I *think* it needs to use ParserOutput::addImage(), but this is not an area of MW I'm super familiar either.

Okay great thanks (not sure if Sumit was in IRC at the time). @Sumit let us know if you need any further information.

Sumit added a comment.Aug 10 2015, 7:05 PM

As mentioned, @Legoktm gave me a pointer to start from. I'll add a patch for this soon.

Change 230643 had a related patch set uploaded (by Sumit):
WikidataPageBanner add banner to imagelinks

https://gerrit.wikimedia.org/r/230643

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Aug 11 2015, 2:21 PM

As discussed in IRC there is a pending patch and this will be merged prior to the community adopting these templates.

Jdlrobson moved this task from Blocked to Epics on the Wikidata-Page-Banner board.Aug 13 2015, 7:39 PM

@brion are you able to help with review on this? Keen to get this fixed and merged asap and I'm sure you of all people will know this code well :)

Change 230643 merged by jenkins-bot:
WikidataPageBanner add banner to imagelinks

https://gerrit.wikimedia.org/r/230643